Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface LookAndFeelView

All Superinterfaces:
  MarkupBasedView, Serializable, View

public interface LookAndFeelView
extends MarkupBasedView

Field Summary
`static String` | `DEFAULT_SKELETON_ID`
`static String` | `DEFAULT_SKELETON_PATH`
`static String` | `DEFAULT_SKIN_ID`
`static String` | `DEFAULT_SKIN_PATH`

Method Summary
`String` | `getDefinitionLabel()`
`LocalizationResourceView` | `getLocalizationResourceView()`
`LookAndFeelDefinition` | `getLookAndFeelDefinition()`
`LookAndFeelDefinitionId` | `getLookAndFeelDefinitionId()`
`String` | `getLookAndFeelFile()`
`String` | `getWebAppName()`
`boolean` | `isDeleted()`

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Field Detail

### DEFAULT_SKELETON_ID

    public static final String DEFAULT_SKELETON_ID

See Also:
  Constant Field Values

### DEFAULT_SKELETON_PATH

    public static final String DEFAULT_SKELETON_PATH

See Also:
  Constant Field Values

### DEFAULT_SKIN_ID

    public static final String DEFAULT_SKIN_ID

See Also:
  Constant Field Values

### DEFAULT_SKIN_PATH

    public static final String DEFAULT_SKIN_PATH

See Also:
  Constant Field Values

Method Detail

### getLookAndFeelDefinitionId

    public LookAndFeelDefinitionId getLookAndFeelDefinitionId()

### getLookAndFeelDefinition

    public LookAndFeelDefinition getLookAndFeelDefinition()

### getLocalizationResourceView

    public LocalizationResourceView getLocalizationResourceView()

### getWebAppName

    public String getWebAppName()

### getLookAndFeelFile

    public String getLookAndFeelFile()

### isDeleted

    public boolean isDeleted()

### getDefinitionLabel

    public String getDefinitionLabel()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved